
var xPos = 20; 
var yPos = 10; 
img.style.left= xPos; 
img.style.top = yPos; 
var step = 1; 
var delay = 30; 
var width,height,Hoffset,Woffset; 
var y = 1; 
var x = 1; 
var interval; 
img.visibility = "visible"; 
function changePos() 
{ 
width = document.body.clientWidth; 
height = document.body.clientHeight; 
Hoffset = img.offsetHeight; 
Woffset = img.offsetWidth; 
if (y) 
{ 
yPos = yPos + step; 
} 
else 
{ 
yPos = yPos - step; 
} 
if (yPos < 0) 
{ 
y = 1; 
yPos = 0; 
} 
if (yPos >= (height - Hoffset)) 
{ 
y = 0; 
yPos = (height - Hoffset); 
} 
if (x) 
{ 
xPos = xPos + step; 
} 
else 
{ 
xPos = xPos - step; 
} 
if (xPos < 0) 
{ 
x = 1; 
xPos = 0; 
} 
if (xPos >= (width - Woffset)) 
{ 
x = 0; 
xPos = (width - Woffset); 
} 
img.style.left = xPos + document.body.scrollLeft; 
img.style.top = yPos + document.body.scrollTop; 
} 
function start() 
{ 
interval = setInterval('changePos()', delay); 
} 
function pause_resume() 
{ 
clearInterval(interval); 
} 
start(); 
